---
layout: default
title: Contributing
suppress_header: true
extra_css:
  - contributing.css
---
<div class="wrapper">
  <div class="contributing-container">
    <div class="contributing-overlay">
      <div class="contributing-content">
        <h1>Contributing to GitLab</h1>
      </div>
    </div>
  </div>
</div>

<div id="content">
  <div class="container-contributing">
    <div class="row">
      <div class="col-sm-6">
        <a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/CONTRIBUTING.md">
          <div class="link-box">
            <h4>Contributing Guidelines</h4>
            If you want to contribute to GitLab, make sure to read and follow the contributing guidelines.
          </div>
        </a>
      </div>

      <div class="col-sm-6">
        <a href="https://gitlab.com/gitlab-org/gitlab-ce/blob/master/PROCESS.md">
          <div class="link-box">
            <h4>Contributing Process</h4>
            Contributors and maintainers should know what to expect form each other in the contribution process.
            This is described here.
          </div>
        </a>
      </div>

      <div class="col-sm-6">
        <a href="http://feedback.gitlab.com/">
          <div class="link-box">
            <h4>Feedback and Suggestions Forum</h4>
            Do you have any feedback, a suggestion or want to hear what others have to say? Find it in the feedback forums.
          </div>
        </a>
      </div>

      <div class="col-sm-6">
        <a href="/development/">
          <div class="link-box">
            <h4>Sponsor the development of new features</h4>
            If you want us to implement a certain feature, you can sponsor us to do so.
          </div>
        </a>
      </div>
    </div>
  </div>
</div>
